/**
 * @(#)file    SignManager.java
 * @(#)author  DaeJin Lee
 * @(#)version 1.0
 * @(#)date    Jun 10, 2005
 * @(#)since   JDK 1.4.2
 *
 * Copyright (c) www.dcchem.co.kr, Inc.
 * All rights reserved.
 * This software is the proprietary information of dcchem, Inc.
 */
package kr.co.udapsoft.common.commonSign;


/**
 * 
 * @version 1.0
 * @author DaeJin Lee
 */
public class CommonSignManager {

    private CommonSignManager() {
    }

    /**
     * 결재를 처리하는 Driver를 리턴한다.
     * @param driverName
     * @return
     * @throws Exception
     */
    public static CommonSignInterface createSignDriver(String driverName) throws Exception {
        Class cls = Class.forName(driverName);
        Class[] argsTypes = new Class[0];
        java.lang.reflect.Constructor constructor = cls.getConstructor(argsTypes);
        Object[] args = new Object[0];
        CommonSignInterface driver = (CommonSignInterface)constructor.newInstance(args);
        return driver;
    }

}
